body{
    background-color: white;
}
.mainForm {
    border: 3px solid #e1e1e1;
    max-width:800px;
    border-radius: 20px 20px 20px 20px;
    margin: 5px auto;
    min-width:420px;
    padding-bottom: 22px;
    

}
.tableForm {

 border: 3px solid #e1e1e1;
    max-width:80%;
    border-radius: 20px 20px 20px 20px;
    margin: 5px auto;
    min-width:420px;
    padding-bottom: 22px;
    


}
.hiddenForm {

}
label{
    font-family: Arial Narrow, sans-serif;
}

#login, #password {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    box-sizing: border-box;
    font-size:16pt;
    transition: width 0.4s;
    border-radius: 15px 15px 15px 15px;
}

button {
    display: block;
    background-color: #555555;
    color: white;
    padding: 14px 20px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 22px ;
    margin-bottom: 10px;
    border: none;
    cursor: pointer;
    width: 50%;
    transition: opacity 0.4s;
    transition: border-radius 0.4s;
    border-radius: 15px 15px 15px 15px;
    font-size:12pt;

}

#loginSubmit {	
    background-color: #4CAF50;


}
#resetPasswordSubmit {	
    background-color: #aa605e;


}

button:hover {
    opacity: 0.7;
    transition: all 0.4s;
    border-radius: 20px 20px 20px 20px;
}

.cancelbtn {
    width: auto;
    padding: 10px 18px;
    background-color: #f44336;
}

.imgcontainer {
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    margin-top: 20px;
    margin-bottom: 10px;
    height:100px;
    width:100px;
    background-image: url("../img/lock.ico");
    background-size: 100% 100%;
    background-repeat: no-repeat;
}
.dbimgcontainer {
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    margin-top: 20px;
    margin-bottom: 10px;
    height:100px;
    width:100px;
    background-image: url("../img/db.ico");
    background-size: 100% 100%;
    background-repeat: no-repeat;
}
.infobox {
    text-align: center;
    display: block;
/*    //background-color: white;*/
    color: #555555;
    padding: 14px 20px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 25px ;
    margin-bottom: 10px;
    border: none;
   
    width: 80%;
    transition: opacity 0.4s;
    transition: border-radius 0.4s;
    border-radius: 15px 15px 15px 15px;

    border: 1px solid black;
    font-size:12pt;


    font-family: Arial Narrow, sans-serif;

}
.confirmBox {
    text-align: center;
    display: block;
    background-color: rgba(200,255,200,0.8);
    color: #555555;
    padding: 14px 20px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 25px ;
    margin-bottom: 10px;
    border: none;
    
    width: 200px;
    transition: opacity 0.4s;
    transition: border-radius 0.4s;
    border-radius: 15px 15px 15px 15px;

    border: 3px solid green;
    font-size:12pt;
    position:fixed;
    animation-fill-mode: forwards;
    font-family: Arial Narrow, sans-serif;
    animation-name: disappear;
    animation-duration: 6s;
}
.errorBox {
    text-align: center;
    display: block;
    background-color: rgba(255,200,200,0.8);
    color: #555555;
    padding: 14px 20px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 25px ;
    margin-bottom: 10px;
    border: none;
    
    width: 200px;
    transition: opacity 0.4s;
    transition: border-radius 0.4s;
    border-radius: 15px 15px 15px 15px;

    border: 3px solid red;
    font-size:12pt;
    position:fixed;
    animation-fill-mode: forwards;
    font-family: Arial Narrow, sans-serif;
    animation-name: disappear;
    animation-duration: 6s;
}

@keyframes disappear {
    0%   {opacity: 1;display: block;}
    15%   {opacity: 1;display: block;}
    25%   {opacity: 1;display: block;}
    35%   {opacity: 1;display: block;background-color: rgba(255,255,255,0.8);}
    45%  {opacity: 1;display: block; background-color: rgba(255,255,255,0.8);}
    50%  {opacity: 1;display: block;background-color: rgba(255,255,255,0.8);}
    80%  {opacity: 1;display: block;background-color: rgba(255,255,255,0.8);}
    100% {opacity: 0.0;}
}
.btn {
    text-align: center;
    display: block;
    background-color: #555555;
    color: white;
    padding: 14px 20px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 20px ;
    margin-bottom: 10px;
    border: none;
    cursor: pointer;
    width: 50%;
/*    //transition: opacity 0.4s;*/
    transition: all 0.5s;
    border-radius: 15px 15px 15px 15px;
    font-size:14pt;


    font-family: Arial Narrow, sans-serif;
}
.btn:hover {
    opacity: 0.7;
    transition: all 0.3s;
    border-radius: 20px 20px 20px 20px;
    width:56%;
}
.positiveButton{
    text-align: center;
    display: block;
    background-color:rgba(51, 153, 102,1);
    color: white;
    padding: 14px 20px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 40px ;
    margin-bottom: 10px;
    border: none;
    cursor: pointer;
    width: 34%;
    //transition: opacity 0.4s;
    transition: all 0.5s;
    border-radius: 15px 15px 15px 15px;
    font-size:14pt;


    font-family: Arial Narrow, sans-serif;
}
.positiveButton:hover{
    text-align: center;
    display: block;
    background-color:rgba(51, 153, 102,1);
    color: white;
    padding: 14px 20px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 40px ;
    margin-bottom: 10px;
    border: none;
    cursor: pointer;
    width: 48%;
    //transition: opacity 0.4s;
    transition: all 0.5s;
    border-radius: 15px 15px 15px 15px;
    font-size:14pt;


    font-family: Arial Narrow, sans-serif;
}
.returnButton
{
   text-align: center;
    display: block;
    background-color: #222222;
    color: white;
    padding: 14px 20px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 20px ;
    margin-bottom: 0px;
    border: none;
    cursor: pointer;
    width: 30%;
    //transition: opacity 0.4s;
    transition: all 0.5s;
    border-radius: 15px 15px 15px 15px;
    font-size:14pt;


    font-family: Arial Narrow, sans-serif;
}
.returnButton:hover {
    opacity: 0.7;
    transition: all 0.3s;
    border-radius: 20px 20px 20px 20px;
    width:45%;
}
.logout {
    text-align: center;
    display: block;
    position: fixed;
    background-color: red;
    color: white;
    padding: 10px 10px;

    right: 30px;

    border: none;
    cursor: pointer;
    width: 120px;
/*    //height:40px;
    //transition: opacity 0.4s;*/
    transition: all 0.4s;
    border-radius: 15px 15px 15px 15px;
    font-size:18pt;


    font-family: Arial Narrow, sans-serif;
}

.logout:hover {
    opacity: 0.8;
    transition: all 0.4s;
    width: 140px;
    right:20px;


    border-radius: 20px 20px 20px 20px;
}
.resetPassword
{
    text-align: center;
    display: block;
    position: fixed;
    background-color: #444444;
    color: white;
    padding: 10px 10px;

    right: 50px;
    top:65px;
    border: none;
    cursor: pointer;
    width: 80px;
    //height:40px;
    //transition: opacity 0.4s;
    transition: all 0.4s;
    border-radius: 15px 15px 15px 15px;
    font-size:9pt;


    font-family: Arial Narrow, sans-serif;
}
.resetPassword:hover
{
    text-align: center;
    display: block;
    position: fixed;
    background-color: #444444;
    color: white;
    padding: 10px 10px;

    right: 40px;
    top:65px;
    border: none;
    cursor: pointer;
    width: 100px;
    //height:40px;
    //transition: opacity 0.4s;
    transition: all 0.4s;
    border-radius: 15px 15px 15px 15px;
    font-size:9pt;


    font-family: Arial Narrow, sans-serif;
}
a{
    text-decoration: none;
}
/*//img.lockIcon {
//    
//	max-height:100%;
//	max-width:100%;
//
//
//}*/

.container {
/*    //padding-left: 20%;
    //padding-right: 20%;
    //padding-bottom: 5%;*/

}
.loginContainer
{
    width:50%;
    margin: auto;
    display: block;
}
.buttonsContainer
{
    max-width: 800px;
    margin:auto;
}

.tableContainer
{
    margin:auto;
    display: block;
        overflow-x: auto; 
        max-width:90%; 
        max-height:410px;
}

span.psw {
    float: right;
    padding-top: 16px;
}
/*/////////////////////////*/

.editableTable {

    width:100%;
    border:solid 1px;
    border-color: #ff0000 #0000ff;
}
.editableTable td {

}
.editableTable .cellEditing {
    padding: 0;
}
.editableTable .cellEditing input[type=text]{
/*    // width:100%;
    // height:100%;*/
    border:0;
    background-color:white;

}
.deleteCell{
    width:20px;
}
table {
    border: 3px solid #444444;
    border-collapse: collapse;
    margin: auto;
    //width:80%;
    




}
th{
    background-color:rgba(51, 153, 102,0.7);
    border: 2px solid #666666;
    border-collapse: collapse;
    padding: 5px;


}
td {
    border: 2px solid #666666;
    border-collapse: collapse;
    padding: 5px;
    text-align: center;
    //width: 80%;




}
.deleteRow{
    background-color:white;
    transition: all 0.2s;
}

.deleteRow:hover{
    background-color:rgba(255, 0, 0,0.2);


}
.editRow{
    background-color:white;
    transition: all 0.2s;
}

.editRow:hover{
    background-color:rgba(0, 100, 255,0.2);


}
.deleteIcon{
    display:block; 
    width: 10px;
    margin:auto;
    opacity: 0.5;
    transition: all 0.3s;
}
.deleteIcon:hover{
    display:block; 
    width: 15px;
    margin:auto;
    opacity: 0.9;
    transition: all 0.3s;
}
.editIcon{
    display:block; 
    width: 15px;
    margin:auto;
    opacity: 0.7;
    transition: all 0.3s;
}
.editIcon:hover{
    display:block; 
    width: 18px;
    margin:auto;
    opacity: 0.9;
    transition: all 0.3s;
}
.hiddenButton{
     display: block;
    background-color: white;
    color: white;
    padding: 0px 0px;
    margin-left: auto;
    margin-right: auto;
    margin-top: auto ;
    margin-bottom: auto;
    border: none;
    
    width: 90%;
/*    transition: opacity 0.4s;
    transition: border-radius 0.4s;
    border-radius: 15px 15px 15px 15px;*/
    font-size:12pt;
}
input{
/*    //width:90%;*/
    text-align: center;
    border-radius: 5px 5px 5px 5px;
    display:block;
    margin:auto;
    
    width: 95%;
}
/* Change styles for span and cancel button on extra small screens */
@media screen and (max-width: 300px) {

    span.psw {
        display: block;
        float: none;
    }
    .cancelbtn {
        width: 100%;
        transparent: 0.3;
    }
}
